unit U_getDogServer;

interface
uses
  SysUtils,Windows,IniFiles,StrUtils;


  function GetLink(H: THandle;var ADOConnString:PAnsiChar):Integer;stdcall; external 'PUBLICDLL.DLL';

  function GetLinkDog(H: THandle;var ADOConnString:string):Integer;
implementation


function GetLinkDog(H: THandle;var ADOConnString:string):Integer;
var
  str1:string;
  Pstr1: PChar;
begin
  try
    SetLength(str1,255);
    pstr1:=pchar(str1);
    result:= GetLink(H,pstr1);
    ADOConnString:=trim(pstr1);
  finally
    SetLength(str1,0);
  end;
end;


end.
